Bug 903073 (CVE-2013-0218) - CVE-2013-0218 JBoss EAP/EWP Installer: Generated auto-install xml is world readable
Summary: CVE-2013-0218 JBoss EAP/EWP Installer: Generated auto-install xml is world re...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0218
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 903086
Blocks: 903091 920007
TreeView+ depends on / blocked
 
Reported: 2013-01-23 05:02 UTC by Arun Babu Neelicattu
Modified: 2021-02-17 08:09 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-20 22:53:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBPAPP-10601 0 Critical Closed CVE-2013-0218 JBoss EAP 5.2.0: Generated auto-install xml is world readable 2018-04-06 10:56:27 UTC
Red Hat Product Errata RHSA-2013:0206 0 normal SHIPPED_LIVE Low: JBoss Enterprise Application Platform 5.2.0 security update 2013-01-31 02:05:06 UTC
Red Hat Product Errata RHSA-2013:0207 0 normal SHIPPED_LIVE Low: JBoss Enterprise Web Platform 5.2.0 security update 2013-01-31 02:05:00 UTC
Red Hat Product Errata RHSA-2013:0833 0 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 6.1.0 update 2013-05-20 18:31:18 UTC

Description Arun Babu Neelicattu 2013-01-23 05:02:05 UTC
The JBoss EAP/EWP 5.2.0 GUI installer can generate an auto-install XML file that contains the admin/sucker password in plain text. This file when saved on disk is set as being world-readable. This means any local user can view the password which could then be used to gain administrator access to an EAP/EWP instance.

Comment 2 David Jorm 2013-01-29 03:06:05 UTC
Acknowledgements:

This issue was discovered by Arun Neelicattu of the Red Hat Security Response Team.

Comment 3 errata-xmlrpc 2013-01-30 21:08:31 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Platform 5.2.0

Via RHSA-2013:0207 https://rhn.redhat.com/errata/RHSA-2013-0207.html

Comment 4 errata-xmlrpc 2013-01-30 21:09:08 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 5.2.0

Via RHSA-2013:0206 https://rhn.redhat.com/errata/RHSA-2013-0206.html

Comment 5 errata-xmlrpc 2013-05-20 14:32:45 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 6.1.0

Via RHSA-2013:0833 https://rhn.redhat.com/errata/RHSA-2013-0833.html


Note You need to log in before you can comment on or make changes to this bug.